# startpage #

[![Build Status](https://drone.libreschool.org/api/badges/LibreSchool/libreschool-startpage/status.svg)](https://drone.libreschool.org/LibreSchool/libreschool-startpage)

This is a LibreSchool plugin used to force a browser start page on all clients.
On this start page you can have multiple buttons/icons acting as a link to different services.
There's a basic GUI for configuration but it lacks links configuration.


## Usage

Just go in the "start page" section on the server's administration interface. From here you can enable or disable the start page.

![6e20d4c0beaebeb935ffbd7d77855776.png](./images/6e20d4c0beaebeb935ffbd7d77855776.png)

On the "Users" tab, you can change the start page for all users.

![760afc0cf8ee59ce9cc1b8b7f5f1f517.png](./images/760afc0cf8ee59ce9cc1b8b7f5f1f517.png)

You can add a new link via command line (just SSH to server and issue this command)

```
# db startpage set link2 link enable yes title "Registro Elettronico" link "https://axioscloud.it" imagelink "https://family.axioscloud.it/Images/Image_Login.png"
```

Remember to regenerate the start-page after each modification:
```
# /etc/e-smith/events/actions/startpage-refresh 
```



## Advanced Usage


### Custom templating
There's support for templating, so you can customize your own template. Just create a new file (let's say `mytemplate.jinja2` and put it in `/usr/share/startpage/templates`). As you can imagine, [jinja2](http://jinja.pocoo.org/) is used as the templating engine.
If you need custom assets (images, css, and so on), you can put it under `/usr/share/startpage/assets`; keep in mind that this path is reachable via http on the `/startpage` URI.
To select the active template:
```
# db startpage setprop configuration template mytemplate
```
As usual, remember to regenerate the start-page.

### Renaming output file
If for some reason you want to rename the output file, do like this:
```
# db startpage setprop configuration outfile /var/www/html/index.php
```
As usual, remember to regenerate the start-page.
